iReader Full version v1.6.2.0

iReader (Full version) v1.6.2.0
Requirements: Android version 2.1 and higher, supports App2SD
Overview: iReader is a e-book reader support online ebook libraries.

If you install failed, please backup you data and uninstall old version first and re-install again.

Recent changes:
1. Repair some phones can not connect to the network bookstores
2. Improve networking speed
More Info
Download Instructions:

Komentar Facebook
0 Komentar untuk "iReader Full version v1.6.2.0"

Back To Top